LASTLOG(8)

NAZWA
lastlog - sprawdź plik ostatnich logowań (lastlog)

SKŁADNIA

lastlog [<-u|--user> login-użytkownika]
    [<-t|--time> dni] [<-h|--help>]

OPIS
lastlog formatuje i wyświetla zawartość dziennika ostatnich logowań zapisanych w pliku /var/log/lastlog. Wyświetlone zostaną nazwa użytkownika, port i czas ostatniego logowania. Domyślnie (bez flag) pozycje pliku wyświetlane są w kolejności identyfikatorów użytkowników (UID).

-u, --user login-użytkownika spowoduje wyświetlenie tylko
    pozycji opisującej ostatnie rozpoczęcie sesji tylko dla użytkownika login-użytkownika.

-t, --time dni spowoduje, że będą wyświetlone ostatnie
    logowania użytkowników nowsze niż sprzed zadanej liczby dni.

-h, --help wietl krótką informację o tym jak używać
    programu i zakończ pracę.

Opcja -t przesłania użycie opcji -u.

Jeżeli użytkownik nigdy się nie logował to zamiast portu i czasu logowania zostanie wyświetlony komunikat "**Never logged in**" (nigdy się nie logował).

PLIKI
/var/log/lastlog " - dziennik ostatnich logowań"

PRZESTROGI
Duże luki w numeracji UID powodują, że program będzie pracował dłużej, nie wyświetlając wyników (np. jeśli mmdf=800, zaś ostatni uid=170, to program będzie sprawiał wrażenie zawieszonego w trakcie przetwarzania uid 171-799).

AUTORZY
Julianne Frances Haugh (jockgrrl@ix.netcom.com)
Phillip Street